curl --request POST \
--url https://public-api.stora.co/2025-09/units/{unit_id}/grant_access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenancy_id": "ten_acaf3269a573af74"
}
'{
"unit": {
"id": "unit_1e36123098e22cf8",
"created_at": "2025-02-22T14:41:00Z",
"reference_id": "UNIT-001",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "occupied",
"unit_allocation": {
"id": "alloc_5f7475758314968d"
},
"unit_type": {
"id": "utype_f18fc91387cdf710"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Grant immediate access to the provided tenancy, transitioning the unit to occupied status.
reserved, access is granted for the existing reservation. The unit must be reserved for the same tenancy provided in the request.Required authorization scope: public.unit:write
curl --request POST \
--url https://public-api.stora.co/2025-09/units/{unit_id}/grant_access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenancy_id": "ten_acaf3269a573af74"
}
'{
"unit": {
"id": "unit_1e36123098e22cf8",
"created_at": "2025-02-22T14:41:00Z",
"reference_id": "UNIT-001",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "occupied",
"unit_allocation": {
"id": "alloc_5f7475758314968d"
},
"unit_type": {
"id": "utype_f18fc91387cdf710"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.stora.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer Token necessary to use API
The ID of the unit to grant access to
Grant Access Unit Request
The ID of the tenancy to grant access for
^ten_Was this page helpful?